Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229967 - This version of amarok is missing ipod support (no libamarok_ipod-mediadevice.so)
Summary: This version of amarok is missing ipod support (no libamarok_ipod-mediadevice...
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: amarok
Version: 5
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Aurelien Bompard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-25 04:26 UTC by Patrick Sefton
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-17 17:14:49 UTC


Attachments (Terms of Use)

Description Patrick Sefton 2007-02-25 04:26:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.0.9) Gecko/20061221 Fedora/1.5.0.9-1.fc5 Firefox/1.5.0.9

Description of problem:
amarok-1.4.5-3.fc5.x86_64 does not contain ipod support.  iPod is not listed as an available media device in Amarok.  The relevant amarok media device plugin (libamarok_ipod-mediadevice.so) is not distributed with amarok-1.4.5-3.fc5.x86_64.


Version-Release number of selected component (if applicable):
amarok-1.4.5-3.fc5.x86_64

How reproducible:
Always


Steps to Reproduce:
1. Amarok does not list iPod Media Device in the Select Plugin list of the Add New Device dialog (it lists the following: Generic Audio Player, Music Sharing, Creative Nomad Jukebox, iRiver iFP and MTP).  I expected this list to also contain something like "Apple iPod Media Device".

2. The relevant Amarok media device plugin is not distributed with amarok-1.4.5-3.fc5.x86_64:

$ rpm -q amarok
amarok-1.4.5-3.fc5

$ rpm -ql amarok | grep mediadevice.so
/usr/lib64/kde3/libamarok_daap-mediadevice.so
/usr/lib64/kde3/libamarok_generic-mediadevice.so
/usr/lib64/kde3/libamarok_ifp-mediadevice.so
/usr/lib64/kde3/libamarok_mtp-mediadevice.so
/usr/lib64/kde3/libamarok_njb-mediadevice.so

I expected the above list to also contain
/usr/lib64/kde3/libamarok_ipod-mediadevice.so


Actual Results:


Expected Results:


Additional info:

Comment 1 Aurelien Bompard 2007-03-01 21:14:35 UTC
Just to let you know what's going on: a new version of libmtp was backported to
FC5, which forced me to upgrade to the latest Amarok, which only supports a
newer version of libgpod that what's available in FC5. Thus, I had to disable
IPod support.

I'm trying to think of a right way to solve that, but it's not obvious.

Comment 2 Aurelien Bompard 2007-06-17 17:14:49 UTC
Sorry, no idea how to fix this, and FC5 is EOL now.


Note You need to log in before you can comment on or make changes to this bug.